Package org.eclipse.ltk.core.refactoring.participants

# Class ParticipantExtensionPoint

java.lang.Object
org.eclipse.ltk.core.refactoring.participants.ParticipantExtensionPoint

public class ParticipantExtensionPoint extends Object
A `ParticipantExtensionPoint` is used to manage contributions of participants.

This class is not intended to be subclassed by clients.

Since:
  3.4
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ParticipantExtensionPoint(String pluginId, String participantId, Class<?> clazz)`
Creates a `ParticipantExtensionPoint`.

## Method Summary

Modifier and Type
Method
Description
`RefactoringParticipant[]`
`getParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RefactoringArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Returns all participants for a given element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParticipantExtensionPoint

public ParticipantExtensionPoint(String pluginId, String participantId, Class<?> clazz)
Creates a `ParticipantExtensionPoint`.

Parameters:
  `pluginId` - the ID of the plug-in defining the extension point
  `participantId` - the name of the extension point
  `clazz` - the type of the class that contributors must provide

## Method Details

### getParticipants

public RefactoringParticipant[] getParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RefactoringArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)
Returns all participants for a given element.

Parameters:
  `status` - a refactoring status to report status if problems occurred while loading the participants
  `processor` - the processor that will own the participants
  `element` - the element to be copied or a corresponding descriptor
  `arguments` - the arguments for the participants
  `filter` - a participant filter to exclude certain participants, or `null` if no filtering is desired
  `affectedNatures` - an array of project natures affected by the refactoring
  `shared` - a list of shared participants
Returns:
  an array of participants